
local Healcsi    = LibStub("AceAddon-3.0"):NewAddon("Healcsi", "AceEvent-3.0")
Healcsi.Console  = LibStub("AceConsole-3.0")
Healcsi.Media    = LibStub("LibSharedMedia-3.0")
Healcsi.Gui      = LibStub('AceGUI-3.0')
Healcsi.Locale   = LibStub("AceLocale-3.0"):GetLocale("Healcsi", false)
Healcsi.DualSpec = LibStub:GetLibrary("LibDualSpec-1.0", 1)

local _G = _G
_G.Healcsi = Healcsi

EmbedEventObject(Healcsi)

local HealcsiUIParent = CreateFrame('Frame', 'HealcsiUIParent', UIParent)
HealcsiUIParent:SetFrameLevel(UIParent:GetFrameLevel())
HealcsiUIParent:SetPoint('CENTER', UIParent, 'CENTER')
HealcsiUIParent:SetSize(UIParent:GetSize())
HealcsiUIParent:Show()
Healcsi.UIParent = HealcsiUIParent

local HealcsiHiddenParent = CreateFrame("Frame")
HealcsiHiddenParent:Hide()
Healcsi.HiddenParent = HealcsiHiddenParent

Healcsi.Modules = {}
Healcsi.db = {}
Healcsi.defaults = {
	global = {
		configWindow = {
			width = 700,
			height = 500,
			offset = {
				top = 0,
				left = 0
			},
			selectedMenu = "modules",
			selectedModule = "ClickCast",
			bgFile = "shaman-1"
		}
	},
	profile = {
		--
	}
}

--[[

-- Attempts to get unit coordinates from map

local f = CreateFrame("Frame")
f:SetScript("OnUpdate", function(self, elapsed)

	self.e = (self.e or 0) + elapsed
	if (self.e > 10) then
		self.e = 0

		--WorldMapPlayerLower
		--WorldMapPlayerUpper:GetCenter()
		--WorldMapParty1:GetCenter()

		--local x, y = WorldMapPlayerUpper:GetCenter()
		--local x, y = GetPlayerMapPosition("player");
		--local x = WorldMapUnitPositionFrame:GetLeft()
		--local x = WorldMapUnitPositionFrame:GetTop()
		--Healcsi:Print(string.format("X: %03d -- Y: %03d",x,y))

		--Healcsi:Print_r(WorldMapUnitPositionFrame:GetHitRectInsets())

	end

end)

]]