﻿------------------------------------------------------------
-- PartyDungeons.lua
--
-- Abin
-- 2011/2/09
------------------------------------------------------------

local Healcsi       = Healcsi
local UnitAuras     = Healcsi.Modules.UnitAuras

if (not(UnitAuras)) then return end

local TIER = 4 -- Cataclysm

-- Blackrock Caverns

UnitAuras:RegisterDebuff(TIER, 66, 0, 93651) -- Frostbomb
UnitAuras:RegisterDebuff(TIER, 66, 0, 93674) -- Shadow Prison
UnitAuras:RegisterDebuff(TIER, 66, 0, 93452) -- Wounding Strike
UnitAuras:RegisterDebuff(TIER, 66, 0, 93666) -- Lava Drool
UnitAuras:RegisterDebuff(TIER, 66, 0, 75610, 5) -- Evolution
UnitAuras:RegisterDebuff(TIER, 66, 0, 76189) -- Crepuscular Veil

-- Throne of the Tides

UnitAuras:RegisterDebuff(TIER, 65, 0, 91464) -- Poisoned Spear
UnitAuras:RegisterDebuff(TIER, 65, 0, 83926) -- Veil of Shadow
UnitAuras:RegisterDebuff(TIER, 65, 0, 83971) -- Aura of Dread
UnitAuras:RegisterDebuff(TIER, 65, 0, 91484, 5) -- Squeeze
UnitAuras:RegisterDebuff(TIER, 65, 0, 76094) -- Curse of Fatigue
UnitAuras:RegisterDebuff(TIER, 65, 0, 91413) -- Enslave
UnitAuras:RegisterDebuff(TIER, 65, 0, 91470) -- Fungal Spores

-- The Stonecore

UnitAuras:RegisterDebuff(TIER, 67, 0, 92630) -- Rock Bore
UnitAuras:RegisterDebuff(TIER, 67, 0, 92650) -- Dampening Wave
UnitAuras:RegisterDebuff(TIER, 67, 0, 92648) -- Crystal Barrage
UnitAuras:RegisterDebuff(TIER, 67, 0, 92426) -- Paralyze
UnitAuras:RegisterDebuff(TIER, 67, 0, 79351, 5) -- Force Grip
UnitAuras:RegisterDebuff(TIER, 67, 0, 92663) -- Curse of Blood

-- Lost City of the Tol'vir

UnitAuras:RegisterDebuff(TIER, 69, 0, 90026) -- Dragon's Breath
UnitAuras:RegisterDebuff(TIER, 69, 0, 82760) -- Hex
UnitAuras:RegisterDebuff(TIER, 69, 0, 89994) -- Serum of Torment
UnitAuras:RegisterDebuff(TIER, 69, 0, 89998) -- Scent of Blood
UnitAuras:RegisterDebuff(TIER, 69, 0, 90010) -- Hallowed Ground
UnitAuras:RegisterDebuff(TIER, 69, 0, 82255) -- Soul Sever

-- The Vortex Pinnacle

UnitAuras:RegisterDebuff(TIER, 68, 0, 87618) -- Static Cling
UnitAuras:RegisterDebuff(TIER, 68, 0, 92773) -- Hurricane
UnitAuras:RegisterDebuff(TIER, 68, 0, 88282) -- Upwind of Altairus
UnitAuras:RegisterDebuff(TIER, 68, 0, 88286) -- Downwind of Altairus
UnitAuras:RegisterDebuff(TIER, 68, 0, 93991) -- Cyclone Shield

-- Halls of Origination

UnitAuras:RegisterDebuff(TIER, 70, 0, 91206) -- Crumbling Ruin
UnitAuras:RegisterDebuff(TIER, 70, 0, 91174) -- Nemesis Strike
UnitAuras:RegisterDebuff(TIER, 70, 0, 91177) -- Alpha Beams
UnitAuras:RegisterDebuff(TIER, 70, 0, 95181) -- Curse of the Runecaster
UnitAuras:RegisterDebuff(TIER, 70, 0, 91158) -- Bubble Bound
UnitAuras:RegisterDebuff(TIER, 70, 0, 91159) -- Raging Inferno

-- Grim Batol

UnitAuras:RegisterDebuff(TIER, 71, 0, 90880) -- Hooked Net
UnitAuras:RegisterDebuff(TIER, 71, 0, 90964) -- Seeping Twilight
UnitAuras:RegisterDebuff(TIER, 71, 0, 90756, 5) -- Impaling Slam
UnitAuras:RegisterDebuff(TIER, 71, 0, 91079) -- Binding Shadows
UnitAuras:RegisterDebuff(TIER, 71, 0, 75694) -- Shadow Gale
UnitAuras:RegisterDebuff(TIER, 71, 0, 91937) -- Bleeding Wound
UnitAuras:RegisterDebuff(TIER, 71, 0, 90179) -- Modgud's Malady
UnitAuras:RegisterDebuff(TIER, 71, 0, 82850, 5) -- Flame Gaze

-- Shadowfang Keep

UnitAuras:RegisterDebuff(TIER, 64, 0, 91678) -- Pustulant Spit
UnitAuras:RegisterDebuff(TIER, 64, 0, 93956) -- Cursed Veil
UnitAuras:RegisterDebuff(TIER, 64, 0, 93920) -- Soul Drain
UnitAuras:RegisterDebuff(TIER, 64, 0, 94370) -- Desecration
UnitAuras:RegisterDebuff(TIER, 64, 0, 93712) -- Pain and Suffering
UnitAuras:RegisterDebuff(TIER, 64, 0, 93761, 5) -- Cursed Bullets

-- The Deadmines

UnitAuras:RegisterDebuff(TIER, 63, 0, 91016) -- Axe to the Head
UnitAuras:RegisterDebuff(TIER, 63, 0, 88352) -- Chest Bomb
UnitAuras:RegisterDebuff(TIER, 63, 0, 91830) -- Fixate

-- Zul'Aman

UnitAuras:RegisterDebuff(TIER, 77, 0, 44008) -- Static Disruption
UnitAuras:RegisterDebuff(TIER, 77, 0, 97318, 5) -- Plucked
UnitAuras:RegisterDebuff(TIER, 77, 0, 43648) -- Electrical Storm
UnitAuras:RegisterDebuff(TIER, 77, 0, 42384) -- Brutal Strike
UnitAuras:RegisterDebuff(TIER, 77, 0, 42402) -- Surge
UnitAuras:RegisterDebuff(TIER, 77, 0, 97488) -- Flame Breath
UnitAuras:RegisterDebuff(TIER, 77, 0, 43150) -- Claw Rage
UnitAuras:RegisterDebuff(TIER, 77, 0, 43501) -- Siphon Soul
UnitAuras:RegisterDebuff(TIER, 77, 0, 43093) -- Grievous Throw
UnitAuras:RegisterDebuff(TIER, 77, 0, 43095) -- Creeping Paralysis

-- Zul'Gurub

UnitAuras:RegisterDebuff(TIER, 76, 0, 96477) -- Toxic Link
UnitAuras:RegisterDebuff(TIER, 76, 0, 96466) -- Whispers of Hethiss
UnitAuras:RegisterDebuff(TIER, 76, 0, 96776) -- Bloodletting
UnitAuras:RegisterDebuff(TIER, 76, 0, 96423) -- Lash of Anguish
UnitAuras:RegisterDebuff(TIER, 76, 0, 96342) -- Pursuit

-----------------------------------------
-- 4.3 new instances
-----------------------------------------

-- End Time

UnitAuras:RegisterDebuff(TIER, 184, 0, 101411)
UnitAuras:RegisterDebuff(TIER, 184, 0, 101412)
UnitAuras:RegisterDebuff(TIER, 184, 0, 101337)
UnitAuras:RegisterDebuff(TIER, 184, 0, 102149)
UnitAuras:RegisterDebuff(TIER, 184, 0, 109952)
UnitAuras:RegisterDebuff(TIER, 184, 0, 102066)
UnitAuras:RegisterDebuff(TIER, 184, 0, 102183)
UnitAuras:RegisterDebuff(TIER, 184, 0, 102057)

-- Well of Eternity

UnitAuras:RegisterDebuff(TIER, 185, 0, 105493) -- Easy Prey
UnitAuras:RegisterDebuff(TIER, 185, 0, 105544) -- Fel Decay
UnitAuras:RegisterDebuff(TIER, 185, 0, 102455) -- Arcane Bomb
UnitAuras:RegisterDebuff(TIER, 185, 0, 102466) -- Coldflame
UnitAuras:RegisterDebuff(TIER, 185, 0, 102245) -- Sweet Lullaby

-- Hour of Twilight

UnitAuras:RegisterDebuff(TIER, 186, 0, 102848) -- Tentacle Smash
UnitAuras:RegisterDebuff(TIER, 186, 0, 102984) -- Seeking Shadows
UnitAuras:RegisterDebuff(TIER, 186, 0, 102861) -- Squeeze Lifeless
UnitAuras:RegisterDebuff(TIER, 186, 0, 102995) -- Shadow Bore
UnitAuras:RegisterDebuff(TIER, 186, 0, 103790) -- Choking Smoke Bomb
UnitAuras:RegisterDebuff(TIER, 186, 0, 43415) -- Freezing Trap
UnitAuras:RegisterDebuff(TIER, 186, 0, 102582) -- Chains of Frost
UnitAuras:RegisterDebuff(TIER, 186, 0, 103151) -- Righteous Shear
UnitAuras:RegisterDebuff(TIER, 186, 0, 103363) -- Twilight Shear