﻿------------------------------------------------------------
-- PartyDungeons.lua
--
-- Abin
-- 2016/09/13
------------------------------------------------------------

local Healcsi       = Healcsi
local UnitAuras     = Healcsi.Modules.UnitAuras

if (not(UnitAuras)) then return end

local TIER = 7 -- Legion
local INSTANCE

-- Maw of Souls (727)
INSTANCE = 727
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 209858)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 240559, 1)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 193364)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 197262)

-- Neltharion's Lair (767)
INSTANCE = 767
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 209858)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 240559, 1)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 192800)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 199178, 5)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 210150)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 200154, 5)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 186616)

-- Vault of the Wardens (707)
INSTANCE = 707
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 209858)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 240559, 1)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 200904)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 192656)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 193069)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 202615)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 193969)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 202658)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 202608)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 193956)

-- Violet Hold (777)
INSTANCE = 777
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 201476)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 201672)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 201379)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 202779, 5)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 202804, 4)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 202217, 4)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 202300)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 202306)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 205233, 5)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 210879)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 202792, 5)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 204608)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 205513)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 204962, 5)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 202037)

-- Court of Stars (800)
INSTANCE = 800
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 209858)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 240559, 1)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 207278)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 208165)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 211391)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 211464)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 224333)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 209667)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 211470)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 214688)

-- Eye of Azshara (716)
INSTANCE = 716
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 209858)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 240559, 1)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 191977)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 193018)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 191855)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 192708)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 197105)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 199847)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 193698, 5)

-- Halls of Valor (721)
INSTANCE = 721
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 209858)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 240559, 1)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 215430, 5)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 193083)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 192048)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 192305)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 196838, 5)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 193765)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 197966)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 198190, 5)

-- The Arcway (726)
INSTANCE = 726
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 209858)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 240559, 1)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 196562)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 196070)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 200227)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 203882)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 195804)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 196805, 5)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 195362, 1)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 211543)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 203957)


-- Darkheart Thicket (762)
INSTANCE = 762
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 209858)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 240559, 1)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 196376)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 204611)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 200359)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 200243)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 204243)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 201839)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 200642)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 200631)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 200238)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 200273, 5)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 200182)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 200329)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 204667)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 204246, 4)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 201365)

-- Black Rook Hold (740)
INSTANCE = 740
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 209858)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 240559, 1)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 194960)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 197478)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 197418)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 198080)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 199168)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 198635, 5)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 199092)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 221838)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 198446)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 198079)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 214002)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 200084)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 200261)

-- Kalazan (860)
INSTANCE = 860
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 227325)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 240559, 1)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 227985)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 227789)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 227508)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 227404)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 227493)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 227832)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 227742)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 227628)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 227615)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 227592)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 227523)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 227502)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 229083)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 229159, 5)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 227977)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 228796, 5)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 228526)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 228576)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 228280)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 228829)

-- Cathedral of Eternal Night (900)
INSTANCE = 900
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 227325)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 240559, 1)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 236650)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 238583)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 236975)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 242792)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 236954)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 238688)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 234830)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 237726, 5)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 238480)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 243613, 5)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 238410)