
local Healcsi = Healcsi

local tostring   = tostring
local slen       = string.len
local srep       = string.rep
local sformat    = string.format
local pairs      = pairs
local type       = type

function Healcsi:Print(messsage, red, green, blue)
    DEFAULT_CHAT_FRAME:AddMessage("|cffffff78Healcsi:|r "..tostring(messsage), red or 0.2, green or 0.8, blue or 1)
end

function Healcsi:PrintColorObj(message, color)
    self:Print(message .. ":: Red: " .. (color.r or 0) .. ", Green: " .. (color.g or 0) .. ", Blue: " .. (color.b or 0) .. ", Alpha: " .. (color.a or 1))
end

function Healcsi:PrintColor(message, r, g, b, a)
    self:Print(message .. ":: Red: " .. (r or 0) .. ", Green: " .. (g or 0) .. ", Blue: " .. (b or 0) .. ", Alpha: " .. (a or 1))
end

function Healcsi:PrintBackdrop(message, backdrop)
end

function Healcsi:Error(messsage)
    DEFAULT_CHAT_FRAME:AddMessage("|cffffff78Healcsi:|r "..tostring(messsage), 1, 0.2, 0)
end

function Healcsi:TableCount(t)
    local c = 0
    for k,v in pairs(t) do
         c = c+1
    end
    return c
end

function Healcsi:NumToShort(number)
    if (number > 999999999) then
        return sformat("%.1f", number/1000000000) .. "B"
    elseif (number > 1000000) then
        return sformat("%.1f", number/1000000) .. "M"
    elseif (number > 1000) then
        return sformat("%.1f", number/1000) .. "K"
    end
    return sformat("%.0f", number)
end

function Healcsi:Print_r(t)  
    -- inspiried by PHP's print_r(table) function
    local print_r_cache={}
    local function sub_print_r(t,indent)
        if (print_r_cache[tostring(t)]) then
            print(indent.."*"..tostring(t))
        else
            print_r_cache[tostring(t)]=true
            if (type(t)=="table") then
                for pos,val in pairs(t) do
                    if (type(val)=="table") then
                        print(indent.."["..pos.."] => "..tostring(t).." {")
                        sub_print_r(val,indent..srep(" ",slen(pos)+8))
                        print(indent..srep(" ",slen(pos)+6).."}")
                    elseif (type(val)=="string") then
                        print(indent.."["..pos..'] => "'..val..'"')
                    else
                        print(indent.."["..pos.."] => "..tostring(val))
                    end
                end
            else
                print(indent..tostring(t))
            end
        end
    end
    if (type(t)=="table") then
        print(tostring(t).." {")
        sub_print_r(t,"  ")
        print("}")
    else
        sub_print_r(t,"  ")
    end
    print()
end