﻿------------------------------------------------------------
-- SiegeOfOrgrimmar.lua
--
-- Abin
-- 2013/9/12
------------------------------------------------------------

local Healcsi       = Healcsi
local UnitAuras     = Healcsi.Modules.UnitAuras

if (not(UnitAuras)) then return end

local TIER = 5 -- Mists of Panaria
local INSTANCE = 369 -- Siege of Orgrimmar
local BOSS

-- Immerseus (852)
BOSS = 852
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 143437, 5)

-- The Fallen Protectors (849)
BOSS = 849
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 143962)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 144396)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 143023)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 143009)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 143840, 5)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 147383, 1)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 143198, 4)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 143301)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 143879)

-- Norushen (866)
BOSS = 866
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 146124)

-- Sha of Pride (867)
BOSS = 867
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 144364)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 146595, 1)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 146817, 4)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 144843)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 144351, 5)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 144358)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 144684)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 144774)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 147207)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 147028)

-- Galakras (881)
BOSS = 881
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 146902)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 147705)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 146764, 2)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 147068, 4)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 147042)

-- Iron Juggernaut (864)
BOSS = 864
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 144459)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 144467)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 144498)

-- Kor'kron Dark Shaman (856)
BOSS = 856
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 144304)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 144215)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 144107, 1)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 144331, 5)

-- General Nazgrim (850)
BOSS = 850
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 143494)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 143638)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 143480)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 143882)

-- Malkorok (846)
BOSS = 846
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 142990, 4)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 142863)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 142864)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 142865)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 142913, 5)

-- Spoils of Pandaria (870)
BOSS = 870
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 142983)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 145218)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 122962)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 146289)

-- Thok the Bloodthirsty (851)
BOSS = 851
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 143426)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 143452)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 146540)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 143780)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 143791)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 143773, 4)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 133636)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 143767)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 143777, 4)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 143766, 5)

-- Siegecrafter Blackfuse (865)
BOSS = 865
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 143385)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 143856)

-- Paragons of the Klaxxi (853)
BOSS = 853
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 142931, 5)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 142315)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 142929)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 142877)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 142668)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 143702, 4)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 143275)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 143279)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 143339)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 142948, 4)

-- Garrosh Hellscream (869)
BOSS = 869
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 144582, 4)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 145183, 4)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 145175, 5)

-- Common
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 145553, 5)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 25195)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 145999)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 145861)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 136670, 4)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 147642)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 146537, 5)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 147554)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 148456)