﻿------------------------------------------------------------
-- ThroneOfThunder.lua
--
-- Abin
-- 2013/3/13
------------------------------------------------------------

local Healcsi       = Healcsi
local UnitAuras     = Healcsi.Modules.UnitAuras

if (not(UnitAuras)) then return end

local TIER = 5 -- Mists of Panaria
local INSTANCE = 362 -- Throne of Thunder
local BOSS

-- Jin'rokh the Breaker (827)
BOSS = 827
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 138002, 1)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 138349)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 137423, 4)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 138732, 5)

-- Horridon (819)
BOSS = 819
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 136767, 5)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 136708)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 136719)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 136653)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 136587)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 136710)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 136670)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 136513)

-- Council of Elders (816)
BOSS = 816
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 136903)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 136917)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 136922)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 136878)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 136857)

-- Tortos (825)
BOSS = 825
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 137633)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 140701, 4)

-- Megaera (821)
BOSS = 821
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 137731)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 139822, 5)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 139841)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 139839)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 140179, 4)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 139993)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 139857, 5)

-- Ji-Kun (828)
BOSS = 828
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 134366, 5)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 140571, 1)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 133755)

-- Durumu the Forgotten (818)
BOSS = 818
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 133767, 4)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 133768, 5)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 133795)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 133597)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 133598)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 133792, 4)

-- Primordius (820)
BOSS = 820
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 136050, 5)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 140546)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 136185, 4)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 136187, 4)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 136183, 4)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 136181, 4)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 136228, 5)

-- Dark Animus (824)
BOSS = 824
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 133843, 4)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 138618)
--UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 138659, 4)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 136962, 5)

-- Iron Qon (817)
BOSS = 817
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 134691, 4)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 134647)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 136193)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 137669)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 136892)

-- Twin Consorts (829)
BOSS = 829
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 137341)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 137360, 5)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 137440)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 137408, 4)

-- Lei Shen (832)
BOSS = 832
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 134912, 5)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 136478)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 135695, 4)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 136295, 4)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 136914, 4)

-- Common
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 140049)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 140629)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 138742)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 140682)